Create Setup Intent
curl --request POST \
--url https://api.openloophealth.com/v0.1/intents/setups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_customer_id": "test_customer_id",
"usage": "off_session",
"metadata": {
"test_key": "test_value"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/intents/setups"
payload = {
"provider_customer_id": "test_customer_id",
"usage": "off_session",
"metadata": { "test_key": "test_value" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_customer_id: 'test_customer_id',
usage: 'off_session',
metadata: {test_key: 'test_value'}
})
};
fetch('https://api.openloophealth.com/v0.1/intents/setups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/intents/setups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_customer_id' => 'test_customer_id',
'usage' => 'off_session',
'metadata' => [
'test_key' => 'test_value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/intents/setups"
payload := strings.NewReader("{\n \"provider_customer_id\": \"test_customer_id\",\n \"usage\": \"off_session\",\n \"metadata\": {\n \"test_key\": \"test_value\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/intents/setups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_customer_id\": \"test_customer_id\",\n \"usage\": \"off_session\",\n \"metadata\": {\n \"test_key\": \"test_value\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/intents/setups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_customer_id\": \"test_customer_id\",\n \"usage\": \"off_session\",\n \"metadata\": {\n \"test_key\": \"test_value\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"config_id": "cfg_123",
"provider_account_id": "test_account_id",
"payment_provider": "stripe",
"provider_setup_intent_id": "test_setup_intent_id",
"status": "requires_payment_method",
"usage": "off_session",
"client_secret": "test_setup_intent_key",
"provider_payment_method_id": null,
"payment_method_types": [
"card"
],
"provider_customer_id": "test_customer_id",
"last_setup_error": null,
"created": 1000,
"livemode": false
}
}Intents
Create Setup Intent
Creates a setup intent so a customer can save a payment method without being charged. Confirm it client-side with the returned client_secret, then verify the result with GET /intents/setups/{provider_setup_intent_id}.
POST
/
intents
/
setups
Create Setup Intent
curl --request POST \
--url https://api.openloophealth.com/v0.1/intents/setups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_customer_id": "test_customer_id",
"usage": "off_session",
"metadata": {
"test_key": "test_value"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/intents/setups"
payload = {
"provider_customer_id": "test_customer_id",
"usage": "off_session",
"metadata": { "test_key": "test_value" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_customer_id: 'test_customer_id',
usage: 'off_session',
metadata: {test_key: 'test_value'}
})
};
fetch('https://api.openloophealth.com/v0.1/intents/setups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/intents/setups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_customer_id' => 'test_customer_id',
'usage' => 'off_session',
'metadata' => [
'test_key' => 'test_value'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/intents/setups"
payload := strings.NewReader("{\n \"provider_customer_id\": \"test_customer_id\",\n \"usage\": \"off_session\",\n \"metadata\": {\n \"test_key\": \"test_value\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/intents/setups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_customer_id\": \"test_customer_id\",\n \"usage\": \"off_session\",\n \"metadata\": {\n \"test_key\": \"test_value\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/intents/setups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_customer_id\": \"test_customer_id\",\n \"usage\": \"off_session\",\n \"metadata\": {\n \"test_key\": \"test_value\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"config_id": "cfg_123",
"provider_account_id": "test_account_id",
"payment_provider": "stripe",
"provider_setup_intent_id": "test_setup_intent_id",
"status": "requires_payment_method",
"usage": "off_session",
"client_secret": "test_setup_intent_key",
"provider_payment_method_id": null,
"payment_method_types": [
"card"
],
"provider_customer_id": "test_customer_id",
"last_setup_error": null,
"created": 1000,
"livemode": false
}
}Authorizations
serviceTokenuserToken
Headers
Body
application/json

